VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IInterAppAudioConnectionNotification Class Referenceabstract

Extended plug-in interface IEditController for Inter-App Audio connection state change notifications. More...

`#include <ivstinterappaudio.h>`

Inheritance diagram for IInterAppAudioConnectionNotification:

## Public Member Functions
virtual void | onInterAppAudioConnectionStateChange (TBool newState)=0
| called when the Inter-App Audio connection state changes
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended plug-in interface IEditController for Inter-App Audio connection state change notifications.

- [plug imp]
- [extends IEditController]
- [released: 3.6.0]

## Member Function Documentation

## ◆ onInterAppAudioConnectionStateChange()

virtual void onInterAppAudioConnectionStateChange | ( | TBool | newState | ) |
| pure virtual

called when the Inter-App Audio connection state changes

Parameters

  newState | true if an Inter-App Audio connection is established, otherwise false

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.